/*universal reset to remove all margin and padding*/
@import url("https://fonts.googleapis.com/css2?family=Cinzel:wght@400&family=Fauna+One&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.font-roboto {
  font-family: 'Roboto', sans-serif;
  letter-spacing: 2px;
}


.cardHighlight{
  max-height: 400px;
  max-height: 400px;
}
.cardCourse{
  min-width: 100%;
}


:root {
  --primary-100: #d0d0d0;
  --primary-200: #a1a1a1;
  --primary-300: #727272;
  --primary-400: #434343;
  --primary-500: #141414;
  --primary-600: #101010;
  --primary-700: #0c0c0c;
  --primary-800: #080808;
  --primary-900: #040404;

  --secondary-100: #e9e4d9;
  --secondary-200: #d2c9b3;
  --secondary-300: #bcae8c;
  --secondary-400: #a59366;
  --secondary-500: #8f7840;
  --secondary-600: #726033;
  --secondary-700: #564826;
  --secondary-800: #39301a;
  --secondary-900: #1d180d; 

  --neutral-100: #f5f5f5;
  --neutral-200: #ecebeb;
  --neutral-300: #e2e1e1;
  --neutral-400: #d9d7d7;
  --neutral-500: #cfcdcd;
  --neutral-600: #a6a4a4;
  --neutral-700: #7c7b7b;
  --neutral-800: #535252;
  --neutral-900: #292929;

  --font-brand: "Cinzel";
  --font-base: "Fauna One";
}
/*
  1. Use a more-intuitive box-sizing model.
*/
*, *::before, *::after {
  box-sizing: border-box;
}
/*
  2. Remove default margin
*/
* {
  margin: 0px;
  padding: 0px;
}

/*
  3. Allow percentage-based heights in the application
*/
html, body {
  height: 100%;
  font-family: var(--font-base), sans-serif;
}
/*
  Typographic tweaks!
  4. Add accessible line-height
  5. Improve text rendering
*/
body {
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
}
/*
  6. Improve media defaults
*/
img, picture, video, canvas, svg {
  display: block;
  max-width: 100%;
}
/*
  7. Remove built-in form typography styles
*/
input, button, textarea, select {
  font: inherit;
}
/*
  8. Avoid text overflows
*/
p, h1, h2, h3, h4, h5, h6 {
  overflow-wrap: break-word;
}
.loader {
  height: 100vh;
  display: flex;
  justify-content: center;
}
/*----------NOT FOUND START-------------*/
.not-found {
  height: 100vh;
  width: 100%;
  display: grid;
  place-items: center;
}
/*----------NOT FOUND END-------------*/

/*-----------MODAL-------------------*/
.modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: rgba(0, 0, 0, 0.40);
  display: flex;
  justify-content: flex-end;
  transition: 0.4 ease all ;
  z-index: 100;
}

.modal-container {
  width: 25vw;
  min-width: 350px;
  height: 100vh;
  background: var(--neutral-300);
  overflow-x: hidden;
}

.modal-overlay-product {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: rgba(0, 0, 0, 0.40);
  display: grid;
  place-items: center;
  transition: 0.4 ease all ;
  z-index: 100;
}

.modal-container-product {
  width: 70vw;
  min-width: 350px;
  background: var(--neutral-300);
  overflow-x: hidden;
}

.modal-overlay-changepass {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: rgba(0, 0, 0, 0.40);
  display: grid;
  place-items: center;
  transition: 0.4 ease all ;
  z-index: 100;
}

.modal-container-changepass {
  width: 55%;
  min-width: 350px;
  background: var(--neutral-300);
  overflow-x: hidden;
  position: relative;
}

.close-pass {
  position: absolute;
  bottom: 20px;
  left: 20px;
}

.divider {
  height: 300px;
  border: 1px solid;
}




.buttons-container {
  display: flex;
  justify-content: center;
  align-items: center;  
  gap: 2rem;
  margin-top: 1.2rem;
}

.buttons-container button {
  border-radius: 0;
}


/*-----------MODAL END-------------------*/


/*----------NAVBAR START-------------*/
.navbar {
  background-color: #fffacd;
  color: red;
  top: 0;
  left: 0;
  z-index: 0;
 


 
}


.brand {
  color: var(--secondary-500);
  cursor: pointer;  
}

.navm-right{
  margin-left: auto;
 
}
.nav-menu {
 float: right;
  align-items: center;

}.nav-menu.nav {
    margin: 0 10px;

}

.nav-menu a:hover {
   border-bottom: 1px solid red;
}

/*-------startLogin------*/
.con-login{
  margin-bottom: 300px;
}

.btn-login {
  background-color: var(--secondary-500);
  font-family: var(--font-base);
  border: none;
}

.dropdown-login {
  display: flex;
  flex-direction: column;
}
/*-------endLogin------*/

/*-------startAdminUserSettings------*/
.con-userprofile{
  margin-bottom: 100px;
  height: 450px;
}
/*-------endAdminUserSettings------*/


/*-------startAdminUserSettings------*/
.con-usersetting{
  margin-bottom: 100px;
  height: 450px;
}
/*-------endAdminUserSettings------*/

/*-------Register------*/
.con-reg{
  margin-bottom: 100px;
}
.login-register {
  cursor: pointer;
  text-decoration: underline;
  color: blue;
  margin-top: 0.5rem;
  font-size: .9rem;
}

.dropdown-toggle {
  color: var(--secondary-500);
  background-color: transparent;
  border: none;
  display: flex;
  align-items: center;
}
.dropdown-toggle:hover {
  color: var(--secondary-200);
  background-color: transparent;
}

.btn-icon {
  position: relative;
  color: var(--secondary-500);
  background-color: transparent;
  border: none;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

.btn-icon:hover {
  color: var(--secondary-200);
}



.close-modal {
  width: 40px;
  height: 40px;
  border-radius: 100%;
  font-size: 2rem;
  justify-content: center;
  align-items: center;
  color: var(--primary-500);
  background-color: var(--secondary-400);
}


.form-size {
  width: 300px;
}

.login-form{
  background-color: var(--neutral-200);
}

.login-form {
  width: 300px;
}

.btn-login {
  color: var(--primary-500);
  background-color: var(--secondary-500);
}

.error-msg {
  display: block;
  color: red;
  font-size: 0.75rem;
  margin: 0;
  padding-bottom: 5px;
}

.btn-login:hover {
  background-color: var(--secondary-300);
}

.dropdown-item {
  width: 80%;
}

.badge {
  position: absolute;
  top: -14px;
  right: -20px;
}

/*----------NAVBAR END-------------

/*----------HOME START-------------*/
/*.home {
  background: url("./assets/home.png") fixed;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center 70px;
  height: 100vh;
}*/

.table-container {
  display: grid;
  place-items: center;
  padding-top: 1rem;
  padding-bottom: 4rem;}

.table-container th {
  color: #FF9C33;
  font-size: 1.1rem;
}

.table-container td{
  color: #FF9C33;
}

/*.admin-bg {
  background: url('assets/home.png');
  background-size: cover;
  height: 100vh;
  background-attachment: fixed;
  width: 100%;
  position: fixed;
  overflow-y: scroll;

}*/

.hero {
  color: var(--secondary-500);
  height: 100vh;
  width: 53%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.hero h1 {
 margin-bottom: 2.5rem;
 margin-top: 3rem;
 font-weight: bold;
}

.hero .btn {
  position: relative;
  width: 200px;
  background-color: var(--secondary-500);
  border: none;
  color: var(--primary-500  );
  border-radius: 0;
  margin-top: 1.5rem;
}

.butn-shopnow{
  background-color: #F8CBA6;
}
.hero .btn:hover {
  background-color: var(--secondary-300);
}


@media screen and (max-width: 600px) {
  .hero {
    text-align: center;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .hero ul {
    margin: 0;
    padding: 0;
  }
}
/*----------HOME END-------------*/

/*----------SHOPPING LIST START-------------*/

.cart-error-container {
  display: block;
}

.cart-error {
  font-size: 0.8rem;
  margin: 0;
  color: red;
}


.shopping-list {
  background-color: #faebd7;
  padding-top: 10px;
  color: var(--secondary-500);
  background-attachment: fixed;  
  align-items: center;

}

.product-item {
  height: 400px;
}

.cardHighlight {
  height: 400px;
  width: 350px;
  border-radius: 1;
  min-height: 250px;
  min-width: 2500px;
}

.card-container {
  min-height: 300px;
  overflow: hidden;

}

.product-image {
  max-width: 100%;
  height: 250px;
  max-height: 100%;
  object-fit: cover;
  border-radius: 0;  
  transition: 0.4s ease all;
  cursor: pointer;
}

.product-image:hover {
  transform: scale(1.1);
  clip-path: ;
}

.card-body {
 
  background-color: var(--neutral-100);
  color: black;
}

.btn-seemore {
  background-color: #ffb6c1;
  border: none;
  border-radius: 0;  
  width: 140px;
  min-width: 100px;
}

/*----------SHOPPING LIST END-------------*/

/*----------ADMIN DASH START-------------*/

/*.create-product {
  display: flex;
  justify-content: space-between;
  height: 85%;
}


.admin-buttons {
  border-radius: 0;
}

.btn-update {
  background-color: var(--secondary-500);
  border-radius: 0;
  color: var(--primary-500);
  border: none;
}*/

/*----------ADMIN DASH END-------------*/

/*----------ITEM PAGE START-------------*/

.plus-count{
  cursor: pointer;
}

.count-buttons {
  font-size: 1.4rem;
  gap: 1.2rem;
}

.bg-itempage {
  color: #FFB233;
  padding-top: 10px;
  padding-left: 30px;
  height: 70vh;
  background-color: #FFB233;
  background-attachment: fixed;
  display: inherit;
  place-items: center;
}


.product-details {
  height: 100%;

  color: black;
}


/*----------ITEM PAGE END-------------*/

/*----------CART START-------------*/

.cart-item {
  background-color: var(--neutral-400);
  padding: 1rem;
}


.price {
  text-align: right;
}




/*----------CART END-------------*/



/*----------ORDER PAGE START-------------*/
.order-page {
  padding-top: 70px;
  background-color: var(--primary-500);
  height: 100vh;
  color: var(--secondary-500);
}


/*----------ORDER PAGE END-------------*/

/*----------Footer PAGE END-------------*/
html {
  scroll-behavior: smooth
}
*{
  font-family: 'Merriweather', serif;
  font-size: 15px;
  scroll-behavior: smooth;
}

#contactMessage{
  resize: none;
}

.toolscon{
  position: static;
  overflow: hidden;
  
}
.navcolor{
  color: red;

}
.font-nav1{
  font-size: 20px;
  font-weight: bold;
}

.font-head1{
  font-size: 1.5rem;

}
.font-headb{
  font-size: 4.5rem;  

}

.font-headm{
  font-size: 3rem;

}

.font-footer1{
  font-size: 3rem;
}

.bgfooter1{
  background-color: #372158;
}
.bgcolor1{
  background-color: black;
}

.bgcolor2{
  background-color: grey;
}

.navlogo1{
  font-weight: Bold;
  font-family: 'Zen Dots', cursive;
  color: ff0000;
  text-decoration: none;

}

.font-quote1{
  font-style: italic;
  font-size: 20px;
}

.contact-form1{
  background-color: #1D6CBF;
}

.carouselfont{
  font-weight: bold;
}
